package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussMerchantMenber implements Serializable {
    private Integer id;

    private String merchantcode;

    private String merchantname;

    private String storeid;

    private String storename;

    private Integer status;

    private Date createdt;

    private String logo;

    private String membercode;

    private String membername;

    private String provinces;

    private String sex;

    private String nickname;

    private String phone;

    private String openid;

    private String alipayuserid;

    private Double comsumemoney;

    private Double profitmoney;

    private String ordernumber;

    private Double totalrechargefee;

    private Double usablerechargefee;

    private Double totalgivefee;

    private Double usablegivefee;

    private String birthdaydt;

    private String cardno;

    private String bindingurl;

    private String appopenid;

    private String unionid;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public String getStoreid() {
        return storeid;
    }

    public void setStoreid(String storeid) {
        this.storeid = storeid == null ? null : storeid.trim();
    }

    public String getStorename() {
        return storename;
    }

    public void setStorename(String storename) {
        this.storename = storename == null ? null : storename.trim();
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo == null ? null : logo.trim();
    }

    public String getMembercode() {
        return membercode;
    }

    public void setMembercode(String membercode) {
        this.membercode = membercode == null ? null : membercode.trim();
    }

    public String getMembername() {
        return membername;
    }

    public void setMembername(String membername) {
        this.membername = membername == null ? null : membername.trim();
    }

    public String getProvinces() {
        return provinces;
    }

    public void setProvinces(String provinces) {
        this.provinces = provinces == null ? null : provinces.trim();
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex == null ? null : sex.trim();
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname == null ? null : nickname.trim();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid == null ? null : openid.trim();
    }

    public String getAlipayuserid() {
        return alipayuserid;
    }

    public void setAlipayuserid(String alipayuserid) {
        this.alipayuserid = alipayuserid == null ? null : alipayuserid.trim();
    }

    public Double getComsumemoney() {
        return comsumemoney;
    }

    public void setComsumemoney(Double comsumemoney) {
        this.comsumemoney = comsumemoney;
    }

    public Double getProfitmoney() {
        return profitmoney;
    }

    public void setProfitmoney(Double profitmoney) {
        this.profitmoney = profitmoney;
    }

    public String getOrdernumber() {
        return ordernumber;
    }

    public void setOrdernumber(String ordernumber) {
        this.ordernumber = ordernumber == null ? null : ordernumber.trim();
    }

    public Double getTotalrechargefee() {
        return totalrechargefee;
    }

    public void setTotalrechargefee(Double totalrechargefee) {
        this.totalrechargefee = totalrechargefee;
    }

    public Double getUsablerechargefee() {
        return usablerechargefee;
    }

    public void setUsablerechargefee(Double usablerechargefee) {
        this.usablerechargefee = usablerechargefee;
    }

    public Double getTotalgivefee() {
        return totalgivefee;
    }

    public void setTotalgivefee(Double totalgivefee) {
        this.totalgivefee = totalgivefee;
    }

    public Double getUsablegivefee() {
        return usablegivefee;
    }

    public void setUsablegivefee(Double usablegivefee) {
        this.usablegivefee = usablegivefee;
    }

    public String getBirthdaydt() {
        return birthdaydt;
    }

    public void setBirthdaydt(String birthdaydt) {
        this.birthdaydt = birthdaydt == null ? null : birthdaydt.trim();
    }

    public String getCardno() {
        return cardno;
    }

    public void setCardno(String cardno) {
        this.cardno = cardno == null ? null : cardno.trim();
    }

    public String getBindingurl() {
        return bindingurl;
    }

    public void setBindingurl(String bindingurl) {
        this.bindingurl = bindingurl == null ? null : bindingurl.trim();
    }

    public String getAppopenid() {
        return appopenid;
    }

    public void setAppopenid(String appopenid) {
        this.appopenid = appopenid == null ? null : appopenid.trim();
    }

    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid == null ? null : unionid.trim();
    }
}